using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.LightSwitch;
using Microsoft.LightSwitch.Security.Server;
namespace LightSwitchApplication
{
    public partial class ApplicationDataService
    {
        partial void GDPItemsByCountries_PreprocessQuery(string countries, ref IQueryable<GDPItem> query)
        {
            if (string.IsNullOrEmpty(countries))
            {
                return;
            }

            query = from i in query where countries.Contains(i.country) select i;
        } 
    }
}
